





#include "xanimindices.h"

XAnimIndices::XAnimIndices()
    : XAsset() {
}

void XAnimIndices::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)&mIndexPtr, sizeof(quint32));
        aStream->read((char*)&mIndex, sizeof(quint16));
    }
}

quint32 XAnimIndices::GetIndexPtr() const {
    return mIndexPtr;
}

void XAnimIndices::SetIndexPtr(quint32 ptr) {
    mIndexPtr = ptr;
}

quint16 XAnimIndices::GetIndex() const {
    return mIndex;
}

void XAnimIndices::SetIndex(quint16 index) {
    mIndex = index;
}




